Oracle Database 和 RAC 产品发行版的认证虚拟化和分区技术

Unix、Linux 和 Windows 操作系统

本页包含有关 Oracle 数据库和 Oracle Real Application Clusters (RAC) 产品发行版的经过认证的虚拟化和分区技术的信息。

一般说明:Oracle 数据库的认证主要针对操作系统 (OS)。如果 OS 供应商发布了包含虚拟化和/或分区技术的新 OS 版本,则这个新产品组合的支持取决于以下内容:

  • 新 OS 获得 Oracle 认证。
  • 新 OS 和虚拟化/分区解决方案获得相应硬件供应商担保,且向后兼容下表所示版本。

附加说明

下表列出了 Oracle 数据库和 Oracle RAC 认证的虚拟化/分区技术:

平台 虚拟化技术 操作系统 经过认证的 Oracle 单实例数据库版本 经过认证的 Oracle RAC 数据库版本
Oracle Solaris Sparc Dynamic Domain Solaris 9
  • 10gR2
  • 11gR1
  • 10gR2
  • 11gR1
Solaris 10
  • 10gR2
  • 11gR1 说明
  • 11gR2
  • 12cR1
  • 10gR2
  • 11gR1
  • 11gR2
  • 12cR1  
Solaris 11
OVM for SPARC(以前称为 LDoms) Solaris 10
Solaris 11
OVM for SPARC 实时迁移 Solaris 10
Solaris 11
Oracle Solaris 容器 Solaris 10
Oracle Solaris Zones Solaris 11
Oracle Solaris 8 标记区域 Oracle Solaris 9 标记区域 Solaris 10
  • 不适用
Oracle Solaris 10 区域 Solaris 11
Oracle Solaris x86-64 Oracle Solaris 容器 Solaris 10
Oracle Solaris Zones Solaris 11
Oracle Solaris 内核区域 Solaris 11
Oracle Solaris 10 区域 Solaris 11
Oracle VM Server for x86-64 Solaris 10
Solaris 11  
IBM AIX Power 动态逻辑分区 (DLPAR),包括
  • 动态分区重配置
  • 微分区
  • 共享处理器
AIX 5.3
  • 10gR2
  • 11gR1
  • 11gR2
  • 10gR2
  • 11gR1
  • 11gR2
AIX 6.1
  • 10gR2
  • 11gR1
  • 11gR2
  • 12cR1 (12.1.0.2)
  • 10gR2
  • 11gR1
  • 11gR2
  • 12cR1 (12.1.0.2)
AIX 7.1
AIX 7.2
  • 11gR2
  • 12cR1 (12.1.0.2)
  • 12cR2
  • 19c (19.3+)
  • 11gR2
  • 12cR1 (12.1.0.2)
  • 12cR2
  • 19c (19.3+)
AIX 7.3
  • 19c (19.13+)
  • 19c (19.13+)
逻辑分区 (LPAR),包括
  • 微分区
  • 共享处理器
AIX 5.3
  • 10gR2
  • 11gR1
  • 11gR2
  • 10gR2
  • 11gR1
  • 11gR2
AIX 6.1
  • 10gR2
  • 11gR1
  • 11gR2
  • 12cR1
  • 12cR2
  • 10gR2
  • 11gR1
  • 11gR2
  • 12cR1
  • 12cR2
AIX 7.1
AIX 7.2
  • 11gR2
  • 12cR1
  • 12cR2
  • 18c (18.3+)
  • 19c (19.3+)
  • 11gR2
  • 12cR1
  • 12cR2
  • 18c (18.3+)
  • 19c (19.3+)
AIX 7.3
  • 19c (19.13+)
  • 19c (19.13+)
实时分区迁移 (LPM) 请参阅有关使用 ASM 或 GPFS 进行数据存储认证的文档 AIX 5.3
AIX 6.1
AIX 7.1
AIX 7.2
AIX 7.3
  • 19c (19.13+)
  • 19c (19.13+)
工作负载分区 (WPAR) AIX 6.1
AIX 7.1
AIX 7.2
AIX 7.3
  • 19c (19.13+)
活动内存扩展 (AME) AIX 6.1
AIX 7.1
AIX 7.2
AIX 7.3
  • 19c (19.13+)
  • 19c (19.13+)
HP-UX Itanium Integrity VM HP-UX 11.31 或 HP-UX 11.23 Guest
Integrity VM Live Migration HP-UX 11.31 或 HP-UX 11.23 Guest
  • 10gR2 (>=10.2.0.4)(>=HPVM 4.1) 说明
  • 11gR1 (>=HPVM 4.1) 说明
  • 11gR2 (>=HPVM 4.2) 说明
容器 (SRP) HP-UX 11.31
  • 不适用
nPartition (nPAR) Static HP-UX 11.31
  • 10gR2
  • 11gR1
  • 11gR2
  • 12cR1(12.1.0.1 或更高版本)
  • 12cR2
  • 18c
  • 19c
HP-UX 11.23
  • 10gR2
  • 11gR1
nPartition (nPAR) Dynamic HP-UX 11.31
  • 10gR2
HP-UX 11.23
Virtual Partitions (vPAR) Static HP-UX 11.31
  • 10gR2
  • 11gR1
  • 11gR2
  • 12cR1(12.1.0.1 或更高版本)
  • 12cR2
  • 18c
  • 19c
HP-UX 11.23
  • 10gR2
  • 11gR1
Virtual Partitions (vPAR) Dynamic HP-UX 11.31
HP-UX 11.23
  • 10gR2 (>=10.2.0.3)
  • 11gR1
HP PA-RISC nPartition (nPAR) Static HP-UX 11.31
  • 10gR2
  • 11gR1
  • 11gR2
HP-UX 11.23
  • 10gR2
  • 11gR1
nPartition (nPAR) Dynamic HP-UX 11.31
HP-UX 11.23
容器 (SRP) HP-UX 11.31
Virtual Partitions (vPAR) Static HP-UX 11.31
  • 10gR2
  • 11gR1
  • 11gR2
HP-UX 11.23
  • 10gR2
  • 11gR1
Virtual Partitions (vPAR) Dynamic HP-UX 11.31
  • 10gR2 (10.2.0.3)
  • 11gR1
  • 11gR2
HP-UX 11.23
  • 10gR2 (10.2.0.3)
  • 11gR1
Linux x86 Oracle VM Oracle VM v2
Oracle VM v3
Oracle VM Live Migration Oracle VM v2
Linux x86-64
Oracle VM
Oracle VM v3
Oracle VM Live Migration Oracle VM v2
逻辑分区 (LPAR) OL 和 RHEL
Oracle Linux 容器 (LXC) OL6 和 OL7

Docker 容器

OL7 (UEK4+)/RHEL7

基于内核的虚拟机 (KVM)
 
OL7
OL8
  • 19c (19.x) 说明
  • 21c (21.x)
  • 19c (19.x) 说明
  • 21c (21.x)
Linux on Power 拥有共享池和微分区的动态逻辑分区 (DLPAR)
RHEL
SLES
  • 10gR2
  • 10gR2
IBM System z z/VM 和 System z LPAR
RHEL
SLES
  • 10gR2
  • 11gR2
  • 12cR1
  • 12cR2
  • 18c
  • 19c
  • 10gR2
  • 11gR2
  • 12cR1
  • 12cR2
  • 18c
  • 19c
Microsoft Windows x86-64 Microsoft Hyper-V Server 2022 Windows Server 2022
(第 1 代和第 2 代)
  • 19c (19.x)
  • 21c (21.x)
  • 19c (19.x)
  • 21c (21.x)
Windows Server 2019
(第 1 代和第 2 代)
  • 19c (19.x)
  • 21c (21.x)
  • 19c (19.x)
  • 21c (21.x)
Windows Server 2016
(第 1 代和第 2 代)
  • 19c (19.x)
  • 21c (21.x)
  • 19c (19.x)
  • 21c (21.x)
Microsoft Windows x86-64
(续)
Microsoft Hyper-V Server 2019 Windows Server 2022
(第 1 代和第 2 代)
  • 19c (19.x)
  • 21c (21.x)
  • 19c (19.x)
  • 21c (21.x)
Windows Server 2019
(第 1 代和第 2 代)
  • 19c (19.x)
  • 21c (21.x)
  • 19c (19.x)
  • 21c (21.x)
Windows Server 2016
(第 1 代和第 2 代)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
  • 21c (21.x)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
  • 21c (21.x)
Windows Sever 2012 R2
(第 1 代和第 2 代)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
Windows Server 2012 R2
(第 1 代)
  • 11gR2 (11.2.0.4)
  • 11gR2 (11.2.0.4)
Windows Server 2012
  • 11gR2 (11.2.0.4)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
     
  • 11gR2 (11.2.0.4)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
Microsoft Windows x86-64(续) Microsoft Hyper-V Server 2016 Windows Server 2022(第 1 代和第 2 代)
  • 19c (19.x)
  • 21c (21.x)
  • 19c (19.x)
  • 21c (21.x)
Windows Server 2019(第 1 代和第 2 代)
  • 19c (19.x)
  • 21c (21.x)
  • 19c (19.x)
  • 21c (21.x)
Windows Server 2016(第 1 代和第 2 代)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
  • 21c (21.x)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
  • 21c (21.x)
Windows Sever 2012 R2(第 1 代和第 2 代)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
     
Windows Server 2012 R2(第 1 代)
  • 11gR2 (11.2.0.4)
  • 11gR2 (11.2.0.4)
Windows Server 2012
  • 11gR2 (11.2.0.4)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 11gR2 (11.2.0.4)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
     
Microsoft Windows x86-64(续) Microsoft Hyper-V Server 2012 和 2012 R2 Windows Server 2008 R2
  • 11gR2 (11.2.0.4)
  • 12cR1 (12.1.0.2)  
Windows Server 2012
  • 11gR2 (11.2.0.4)
  • 12cR1 (12.1.x)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 11gR2 (11.2.0.4)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
Windows Server 2012 R2(第 1 代)
  • 11gR2 (11.2.0.4)
  • 11gR2 (11.2.0.4)
Windows Server 2012 R2(第 1 代和第 2 代)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
仅适用于 Hyper-V 2012 R2 的 Windows Server 2016(第 1 代和第 2 代)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
Oracle VM 3 Windows Server 2012 和 2012 R2
  • 12cR2 说明
  • 18c(仅限 Windows 2012 R2)
  • 19c(仅限 Windows 2012 R2)
  • 12cR2 说明
  • 18c(仅限 Windows 2012 R2)
  • 19c(仅限 Windows 2012 R2)
Windows Server 2016
Windows Server 2019
  • 19c
  • 19c
逻辑分区 (LPAR) Windows x86-64

Oracle Solaris Sparc 说明

  • 对于 11gR1,请在 Solaris 10 10/08 (Update6) 或更新版本上应用 Oracle 补丁程序 8799617 和 OS 补丁程序 138888-07。
  • Oracle Solaris Dynamic Domains 支持在 Solaris 11 上使用 Oracle 单实例和 RAC 11gR2(11.2.0.3 及更高版本)。
  • Oracle 在运行 Solaris 10 的主机上的“Oracle Solaris 8 Containers”和“Oracle Solaris 9 Containers”(也称为 Solaris 8 Branded Zones 和 Solaris 9 Branded Zones)中支持单实例数据库。所支持的版本是运行于 Solaris 10 Update 10/8 及更新的版本上的 Solaris 8 Containers 1.0.1 和 Solaris 9 Containers 1.0.1。请查看相应 Oracle 数据库版本的文档,以确保支持相应的 Solaris 版本。有关详细信息,请参阅文档:
  • 支持 Oracle VM Server for SPARC (LDoms) 中的单实例数据库和 Oracle Solaris 区域上的 Oracle RAC(也称为 Oracle Solaris 容器)
  • 11gR1 (11.1.0.7) Sparc 64 位上的 Solaris 10 逻辑域需要补丁程序 7535429
  • Oracle VM for SPARC(以前称为“逻辑域”)可在以下环境中运行:
    • T8 和 M8 服务器需要 Solaris 11.4 SRU 13 或更高版本的 SRU 才能运行数据库 12cR2 及更高版本。T8 和 M8 上的旧版本 Solaris 11.4 和 Solaris 11.3 需要修复 CR 29780225。
    • Oracle Solaris 11.4 及更高版本 SRU 上的 Oracle 单实例和 Oracle RAC 19c(19.5 带有补丁 23211028)。
    • Oracle Solaris Cluster 4.4 SRU 5 和更高版本的 SRU 上的 Oracle 单实例和 Oracle RAC 19c(19.5 带有补丁程序 23211028)。
    • 在 Solaris 11.4 和更高版本的 SRU 上应用了最新的 18c OCW RU 的 Oracle 单实例和 Oracle RAC 18c(最低 29932490:合并 OCW RU 18.6.0.0.0 OF 28574610 和 29143512)
    • Oracle Solaris Cluster 4.4 SRU 4 和更高版本的 SRU 上的 Oracle 单实例和 Oracle RAC 18c。
    • Oracle Solaris 11.2 SRU5.5 或更高版本上的 Oracle RAC 12cR2,带有
      • Oracle Clusterware 12cR2
    • Oracle 单实例和 RAC 12cR2,带有
      • Oracle Solaris 10 Update 11 (Oracle Solaris 10 1/13 s10s_u11wos_24a) 或更高版本,带有 Oracle Clusterware 12cR2
      • Oracle Solaris 11.2 SRU 5.5 (Oracle Solaris 11.2.5.5.0) 或更高版本的 SRU 更新和带有 Oracle Clusterware 12cR2 的 Oracle Solaris 11.3
      • 带有 Oracle Solaris Cluster 4.3 的 Oracle Solaris 11.3
      • 带有 Oracle Clusterware 12cR2 的 Oracle Solaris 11.4 和更高版本的 SRU
      • 带有 Oracle Solaris Cluster 4.4 的 Oracle Solaris 11.4
    • Solaris 11.1 SRU12.5 或更高版本上的 Oracle RAC 12cR1(+ 12.1.0.2 补丁程序 19354794)
      • Oracle Clusterware(+ 12.1.0.2 补丁程序 19354794)
    • Oracle 单实例和 RAC 12cR1,带有
      • Oracle Solaris 10 8/11(更新 10)或更高版本,带有 Oracle Solaris Cluster 3.3 和 3.3 的更高版本
      • 带有 Oracle Solaris Cluster 4.1 和 4.2 的 Oracle Solaris 11.1
      • 带有 Oracle Solaris Cluster 4.1、4.2 和 4.3 的 Oracle Solaris 11.2
      • 带有 Oracle Solaris Cluster 4.2 和 4.3 的 Oracle Solaris 11.3
      • (12.1.0.2) 带有 Oracle Clusterware 12cR1 的 Oracle Solaris 11.4 和更高版本的 SRU
      • 带有 Oracle Solaris Cluster 4.4 的 Oracle Solaris 11.4
    • Oracle RAC 11gR2 (11.2.0.3+),带有
      • 带有 Oracle Clusterware 11.2 的 Solaris 版本 10 更新 6 或更高版本(补丁 142900-12、141870-03)
      • 带有 Oracle Clusterware 11.2.0.3.0 的 Solaris 11
    • Oracle 单实例和 RAC 11gR2,带有
      • Solaris 版本 10 Update 8 或更高版本,带有 Oracle Solaris Cluster 3.2 1/09 和更高版本的 3.2 和 Oracle Solaris Cluster 3.3
      • (11.2.0.3+) 带有 Oracle Solaris Cluster 4.0 的 Oracle Solaris 11
      • (11.2.0.3+) Oracle Solaris 11.1、Oracle Solaris 11.2 和 Oracle Solaris 11.3,带有 Oracle Solaris Cluster 4.1、Oracle Solaris Cluster 4.2 和 Oracle Solaris Cluster 4.3
      • (11.2.0.4) 带有 Oracle Clusterware 11gR2 的 Oracle Solaris 11.4
      • (11.2.0.4) 带有 Oracle Solaris Cluster 4.4 的 Oracle Solaris 11.4
    • Oracle 单实例和 RAC 11gR1,带有
      • Solaris 版本 10 Update 8 或更高版本,带有 Oracle Solaris Cluster 3.2 1/09 和更高版本的 3.2 和 Oracle Solaris Cluster 3.3
    • Oracle 单实例和 RAC 10gR2,带有
      • Solaris 版本 10 Update 8 或更高版本,带有 Oracle Solaris Cluster 3.2 1/09 和更高版本的 3.2 和 Oracle Solaris Cluster 3.3
  • Oracle VM Server Live Migration for SPARC 2.2 及更高版本支持在 Solaris 10 和 Solaris 11 上运行 Oracle 单实例 11gR2。请参阅 Oracle VM Server for SPARC 2.2 实时迁移技术白皮书 (PDF)
  • 请参阅 My Oracle Support Note 317257.1 以获取有关在 Solaris 容器中部署 Oracle 单实例数据库的优秀实践文档。
  • 请参阅 RAC/容器优秀实践文档以了解如何在 Solaris 容器中部署 Oracle RAC。
  • Oracle Solaris 容器可在以下环境中运行:
    • Oracle 单实例和 RAC 9iR2(9.2.0.5 及更高版本)、10gR2 和 11gR1(基于 SPARC 的 Oracle Solaris Cluster)。Solaris version 10 Update 7 或更高版本(补丁程序 141444-09、143055-01、142900-06、143137-04 "md patch"),其中 Oracle Solaris Cluster 3.3 和 3.2u2 使用 126106-39 或更高版本的补丁程序。
    • 带有补丁程序 12419331 或更高版本更新的 Oracle RAC 11.2.0.2(适用于基于 SPARC 的 Oracle Solaris Cluster)。带有 Oracle Solaris Cluster 3.3 的 Solaris 10 9/10 (Update 9) 或更高版本(补丁程序 142909-17)。
    • Oracle 单实例和 RAC 12c Release 1(适用于基于 SPARC 的 Oracle Solaris Cluster)。带有 Oracle Solaris Cluster 3.3(或更高版本)的 Solaris 10 8/11(Update 10)或更高版本。
  • Oracle Solaris Containers 可在 SPARC 上带有 Oracle Clusterware 的 Oracle RAC 10gR2、11gR1 和 11gR2 环境下运行。Solaris 10 Update 8 或更高版本(补丁程序 142900-14、143055-01),带有
    • Oracle Clusterware 10.2(补丁程序 9352164)
    • Oracle Clusterware 11.1(补丁程序 9207257、9352179)
    • Oracle Clusterware 11.2.0.1(补丁程序 11840629)
    • Oracle Clusterware 11.2.0.2(补丁程序 12419353)
  • Oracle Solaris 内核区域可在以下环境中运行:
    • Oracle 单实例和 Oracle RAC 12cR2,带有 Oracle Clusterware 12.2.0.1.180417,基于 SPARC 的 Oracle Solaris 11.3 SRU6(及更高版本)
    • Oracle 单实例和 Oracle RAC 12cR1(适用于基于 SPARC 的 Oracle Clusterware),基于 Oracle Solaris 11.2
    • Oracle 单实例和 Oracle RAC 19c,基于 Oracle Solaris 11.4
  • 基于 Oracle Solaris Cluster 的 Oracle Solaris 11 区域可在以下环境中运行:
    • T8 和 M8 服务器需要 Solaris 11.4 SRU 13 或更高版本的 SRU 才能运行数据库 12cR2 及更高版本。T8 和 M8 上的旧版本 Solaris 11.4 和 Solaris 11.3 需要修复 CR 29780225。
    • Oracle 单实例和 Oracle RAC 19c(带有补丁程序 23211028 的 19.5),基于 Oracle Solaris 11.4 和 Oracle Solaris Cluster 4.4 SRU 5 及更高版本 SRU。
    • Oracle 单实例和 Oracle RAC 18c,基于 Oracle Solaris 11.4 和 Oracle Solaris Cluster 4.4 SRU 4 和更高版本 SRU
    • Oracle 单实例和 Oracle RAC 12cR2(适用于基于 SPARC 的 Oracle Solaris Cluster),基于 Oracle Solaris 11.3,带有 Oracle Solaris Cluster 4.3
    • Oracle 单实例和 Oracle RAC 12cR2(适用于基于 SPARC 的 Oracle Solaris Cluster),基于 Oracle Solaris 11.4,带有 Oracle Solaris Cluster 4.4
    • Oracle 单实例和 Oracle RAC 12cR1(适用于基于 SPARC 的 Oracle Solaris Cluster),基于 Oracle Solaris 11.1、Oracle Solaris 11.2 和 Oracle Solaris 11.3,带有 Oracle Solaris Cluster 4.1、Oracle Solaris Cluster 4.2 和 Oracle Solaris Cluster 4.3。
    • Oracle 单实例和 Oracle RAC 12cR1 (12.1.0.2)(适用于基于 SPARC 的 Oracle Solaris Cluster),基于 Oracle Solaris 11.4,带有 Oracle Solaris Cluster 4.4。
    • Oracle 单实例和 Oracle RAC 11gR2(11.2.0.3 及更高版本),基于 Oracle Solaris 11,带有 Oracle Solaris Cluster 4.0。
    • Oracle 单实例和 Oracle RAC 11gR2(11.2.0.3 及更高版本),基于 Oracle Solaris 11.1、Oracle Solaris 11.2 和 Oracle Solaris 11.3,带有 Oracle Solaris Cluster 4.1、Oracle Solaris Cluster 4.2 和 Oracle Solaris Cluster 4.3。
    • Oracle 单实例和 Oracle RAC 11gR2 (11.2.0.4),基于 Oracle Solaris 11.4,带有 Oracle Solaris Cluster 4.4。
  • Oracle Solaris 11 区域可在以下环境中运行:
    • T8 和 M8 服务器需要 Solaris 11.4 SRU 13 或更高版本的 SRU 才能运行数据库 12cR2 及更高版本。T8 和 M8 上的旧版本 Solaris 11.4 和 Solaris 11.3 需要修复 CR 29780225。
    • Oracle Solaris 11.4 及更高版本 SRU 上的 Oracle 单实例和 Oracle RAC 19c(19.5 带有补丁 23211028)。
    • 在 Solaris 11.4 和更高版本的 SRU 上应用了最新的 18c OCW RU 的 Oracle 单实例和 Oracle RAC 18c(最低 29932490:合并 OCW RU 18.6.0.0.0 OF 28574610 和 29143512)
    • Solaris 11.4 及更高版本 SRU 上的 Oracle 单实例和 Oracle RAC 12cR2
    • Solaris 11.4 及更高版本 SRU 上的 Oracle 单实例和 Oracle RAC 12cR1 (12.1.0.2)
    • Solaris 11.4 及更高版本 SRU 上的 Oracle 单实例和 Oracle RAC 11gR2 (11.2.0.4)
    • SPARC (64-bit) 11.3 SRU6(及更高版本)上基于 Oracle Solaris 的带有 Oracle Clusterware 12.2.0.1.180417 的 Oracle RAC 12cR2
    • Solaris 11.1 SRU19.6(及更高版本)上带有 Oracle Clusterware 12.1.0.2 PSU2 的 Oracle RAC 12cR1(12.1.0.2 及更高版本)
    • Solaris 11.1 SRU4(及更高版本)上带有 Oracle Clusterware 11.2.0.3 PSU4 的 Oracle RAC 11gR2(11.2.0.3 及更高版本)
  • Oracle Solaris 11.4(及更高版本 SRU)中的 Oracle Solaris 10 区域可在以下环境下运行:
    • Oracle 单实例 10gR2 (10.2.0.5)、11gR1 (11.1.0.7)、11gR2 (11.2.0.4) 和 12cR1 (12.1.0.2)
    • 带有相应 Oracle Clusterware 的 Oracle RAC 10gR2 (10.2.0.5)、11gR1 (11.1.0.7) 和 11gR2 (11.2.0.4)
  • Oracle Solaris 11.1(CR 15806274 在 Solaris 11.1 中得到修复)中的 Oracle Solaris 10 区域可在以下环境下运行:
    • 带有 Oracle Clusterware 10.2.0.5 的 Oracle RAC 10gR2(10.2.0.5 及更高版本)
    • 带有 Oracle Clusterware 11.1.0.7 的 Oracle RAC 11gR1(11.1.0.7 及更高版本)
  • Oracle Solaris 11 中的 Oracle Solaris 10 区域可在以下环境下运行:
    • Oracle 单实例 10gR2 和 11gR1
  • Oracle Solaris 11.1、Oracle Solaris 11.2、Oracle Solaris 11.3 和 Oracle Solaris 11.4 中的 Oracle Solaris 10 区域可在以下环境下运行:
    • Oracle 单实例 10gR2、11gR1 和 11gR2,以及带有 Oracle Solaris Cluster 4.1、Oracle Solaris Cluster 4.2、Oracle Solaris Cluster 4.3 和 Oracle Solaris Cluster 4.4 的 Oracle RAC 10gR2、11gR1 和 11gR2(11.2.0.3 及更高版本,无 UDLM)。

Oracle Solaris x86-64 说明

  • 请参阅 My Oracle Support Note 317257.1 以获取有关在 Solaris 容器中部署 Oracle 单实例数据库的优秀实践文档。
  • 请参阅 RAC/容器优秀实践文档以了解如何在 Solaris 容器中部署 Oracle RAC。
  • Oracle Solaris Containers 可在 Solaris x86-64 上带有 Oracle Clusterware 的 Oracle RAC 10gR2 和 11gR2 环境下运行。Solaris 10 10/09 (Update 8) 或更高版本(补丁程序 142901-15、142934-02),带有
    • Oracle Clusterware 10.2(补丁程序 7172531)
    • Oracle Clusterware 11.2.0.1(补丁程序 11840629)
    • Oracle Clusterware 11.2.0.2(补丁程序 12419353)
  • Oracle Solaris Containers 可在 Solaris x86-64 上带有 Oracle Solaris Cluster 的 Oracle RAC 10gR2(补丁程序 9654991)和 11gR2(11.2.0.2,补丁程序 12419331)环境下运行。Solaris 10 9/10 (Update 9) 或更高版本(补丁程序 142910-17),带有 Oracle Solaris Cluster 3.3。
  • Oracle Solaris Containers 可在 Solaris x86-64 上的 Oracle 单实例和带有 Oracle Solaris Cluster 的 RAC 12c Release 1 环境下运行。Solaris 10 8/11 (Update 10) 或更高版本,带有 Oracle Solaris Cluster 3.3 或更高版本。
  • Oracle Solaris Zones 可在 Solaris x86-64 上的 Oracle 单实例和带有 Oracle Solaris Cluster 的 RAC 12c Release 1、12c Release 2 环境下运行。Oracle Solaris 11.1、Oracle Solaris 11.2、Oracle Solaris 11.3 和 Oracle Solaris 11.4 以及 Oracle Solaris Cluster 4.1、Oracle Solaris Cluster 4.2、Oracle Solaris Cluster 4.3 和 Oracle Solaris Cluster 4.4。Oracle Solaris Zones 可在 Oracle Solaris 11(带有 Oracle Solaris Cluster 4.0 的)、Oracle Solaris 11.1、Oracle Solaris 11.2 和 Oracle Solaris 11.3(带有 Oracle Solaris Cluster 4.1、4.2、4.3)上的 Oracle 单实例和 Oracle RAC 11gR2(11.2.0.3 及更高版本)环境下运行。
  • Oracle Solaris 10 区域可在 Oracle Solaris 11.1、Oracle Solaris 11.2 和 Oracle Solaris 11.3(带有 Oracle Solaris Cluster 4.1、4.2、4.3)上的 Oracle 单实例 10gR2 和 Oracle RAC 11gR2(11.2.0.3 及更高版本)、10gR2 (10.2.0.5) 环境下运行。
  • 请查看相应 Oracle 数据库版本的文档,以确保支持相应的 Solaris 版本。有关详细信息,请参阅以下文档:http://www.oracle.com/virtualization/

IBM AIX Power 说明

  • Oracle DB 10gR2 (10.2.0.4) 经过认证,可与 AIX 6.1 TL-02 SP2 上的 IBM AIX 工作负载分区 (WPAR) 功能,与 AIX 7.1 TL-01 SP4 上的版本化 WPAR (AIX5.3) 功能一起使用。
  • Oracle DB 11gR2(11.2.0.2 及更高版本)经过认证,可与 AIX 6.1 和 AIX 7.1 上的 IBM AIX 工作负载分区 (WPAR) 功能一起使用。
  • Oracle DB 11gR2(仅限 11.2.0.4)经过认证,可与 64 位内核 AIX 7.2(带有最低服务级别 TL0 SP1,即 "7200-00-01",或更高版本)上的 IBM AIX 工作负载分区 (WPAR) 功能一起使用。
  • Oracle DB 12cR1(12.1.0.1 及更高版本)经过认证,可与 AIX6.1 TL09 SP0(或更高版本)、AIX 7.1 TL04 SP1(或更高版本)、AIX 7.2 TL01 SP1(或更高版本)上的 IBM AIX 工作负载分区 (WPAR) 功能一起使用。
  • Oracle DB 12cR2(12.2.0.1 及更高版本)经过认证,可与 AIX 7.1(带有最低服务级别 7100-04-04-1717 或更高版本)和 AIX 7.2(带有最低服务级别 7200-01-02-1717 或更高版本)上的 IBM AIX 工作负载分区 (WPAR) 功能一起使用。
  • Oracle DB 19c(19.3 及更高版本)经过认证,可与 AIX 7.1(带有最低服务级别 TL09 SP3 或更高版本)和 AIX 7.2(带有最低服务级别 TL04 SP1 或更高版本)上的 IBM AIX 工作负载分区 (WPAR) 功能一起使用。
  • Oracle DB 19c(19.13 及更高版本)经过认证,可与 AIX 7.3(带有最低服务级别 TL0 SP1 或更高版本)上的 IBM AIX 工作负载分区 (WPAR) 功能一起使用。
  • 使用 IBM Power Systems LPAR 硬件分区技术(包括微分区功能)的部署支持 Oracle 软件堆栈。
  • 使用 IBM Power Systems 虚拟 IO 服务器 (VIOS) 的部署支持 Oracle 软件堆栈 — RAC 部分列出了支持的 RAC 环境。有关详细信息,请参阅 RAC 技术面向 UNIX 平台的兼容性矩阵 (RTCM)
  • Oracle DB 10gR2 (10.2.0.4) 经过认证,可与 AIX 5.3(带有最低服务级别 TL8 SP4)和 AIX 6.1(带有最低服务级别 TL2 SP3)上的 IBM PowerVM Live Partition Mobility (LPM) 功能一起使用。
  • Oracle DB 11gR1 经过认证,可与 AIX 5.3(带有最低服务级别 TL09 SP5)和 AIX 6.1(带有最低服务级别 TL04 SP01)上的 IBM PowerVM Live Partition Mobility (LPM) 功能一起使用。
  • Oracle DB 11gR2 经过认证,可与 AIX 5.3(带有最低服务级别 TL09 SP5)上的 IBM PowerVM Live Partition Mobility (LPM) 功能一起使用。
  • 具有 ASM 的 Oracle DB 和 RAC 11gR2(11.2.0.2 及更高版本)经过认证,可与 64 位内核 AIX 6.1(带有最低服务级别 TL04 SP01)、AIX 7.1(带有最低服务级别 TL00 SP02)、AIX 7.2(带有最低服务级别 TL0 SP1,即 "7200-00-01",或更高版本,仅限 11.2.0.4)上的 IBM PowerVM Live Partition Mobility (LPM) 功能一起使用。

    此外,具有 GPFS 3.4 和 GPFS 3.5 的 Oracle DB 和 RAC 11gR2(11.2.0.3 及更高版本)经过认证,可与 64 位内核 AIX 6.1(带有最低服务级别 TL07 SP03,即 "6100-07-03-1207")、AIX 7.1(带有最低服务级别 TL07 SP03,即 "6100-07-03-1207")、AIX 7.2(带有最低服务级别 TL0 SP1,即 "7200-00-01",或更高版本,仅限 11.2.0.4)上的 IBM PowerVM Live Partition Mobility (LPM) 功能一起使用。

  • Oracle DB 和 RAC 12cR1 (12.1.0.2) 经过认证,可与 64 位内核 AIX 6.1(带有最低服务级别 TL08 SP01)、AIX 7.1(带有最低服务级别 TL03 SP03)、AIX 7.2(带有最低服务级别 TL0 SP1,即 "7200-00-01",或更高版本)上的 IBM PowerVM Live Partition Mobility (LPM) 功能一起使用。

    此外,具有 GPFS 4.1 的 Oracle DB 和 RAC 12cR1(12.1.0.2 及更高版本)经过认证,可与 64 位内核 AIX 7.1(带有最低服务级别 TL03 SP03 或更高版本)上的 IBM PowerVM Live Partition Mobility (LPM) 功能一起使用。

  • Oracle DB 和 RAC 12cR2 (12.2.0.1) 经过认证,可与 64 位内核 AIX 7.1(带有最低服务级别 TL03 SP03)和 AIX 7.2(带有最低服务级别 TL0 SP1,即"7200-00-01",或更高版本)上的 IBM PowerVM Live Partition Mobility (LPM) 功能一起使用。
  • Oracle DB 和 RAC 19c 经过认证,可与 64 位内核 AIX 7.1(带有最低服务级别 TL05 SP01)和 AIX 7.2(带有最低服务级别 TL4 SP1 或更高版本)上的 IBM PowerVM Live Partition Mobility (LPM) 功能一起使用。
     
  • Oracle DB 和 RAC 19c(19.13 及更高版本)经过认证,可与 64 位内核 AIX 7.3(带有最低服务级别 TL0 SP01)上的 IBM PowerVM Live Partition Mobility (LPM) 功能一起使用。

    此外,具有 GPFS 5.0 (5.0.5.0) 的 Oracle DB 和 RAC 19c(19.7RU 及更高版本)经过认证,可与 64 位内核 AIX 7.1(带有最低服务级别 TL05 SP4,即 "7100-05-04-1914")和 AIX 7.2(带有最低服务级别 TL04 SP2,即 "7200-04-01-1939",或更高版本)上的 IBM PowerVM Live Partition Mobility (LPM) 功能一起使用。

    此外,具有 GPFS 5.1 (5.1.0.2) 的 Oracle DB 和 RAC 19c(19.11RU 及更高版本)经过认证,可与 64 位内核 AIX 7.2(带有最低服务级别 TL05 SP4,即 "7200-05-04-2222")和 AIX 7.3(带有最低服务级别 TL00 SP2,即 "7300-00-02-2220",或更高版本)上的 IBM PowerVM Live Partition Mobility (LPM) 功能一起使用。
     
  • Oracle DB 和 RAC 11gR2 经过认证,可与 64 位内核 AIX 6.1(带有最低服务级别 TL06 SP05)、AIX 7.1(带有最低服务级别 TL00 SP03)、AIX 7.2(带有最低服务级别 TL0 SP1,即 "7200-00-01",或更高版本,仅限 11.2.0.4)上的 IBM PowerVM Active Memory Expansion (AME) 功能一起使用。有关详细信息,请参阅 活动内存扩展 (AME) 概览
  • Oracle DB 和 RAC 12cR1 经过认证,可与 64 位内核 AIX 7.2(带有最低服务级别 TL0 SP1,即 "7200-00-01",或更高版本)上的 IBM PowerVM Active Memory Expansion (AME) 功能一起使用。有关详细信息,请参阅 活动内存扩展 (AME) 概览
  • Oracle DB 和 RAC 12cR2 经过认证,可与 64 位内核 AIX 7.2(带有最低服务级别 TL02 SP2,即 "7200-02-02",或更高版本)上的 IBM PowerVM Active Memory Expansion (AME) 功能一起使用。有关详细信息,请参阅 活动内存扩展 (AME) 概览
  • 有关 IBM AIX Power 系统上的 Oracle 数据库的认证信息,请参阅 My Oracle Support Note 1307544.1

HP-UX Itanium 说明

分区

  • 支持在 HP-UX 11.31 上使用 HP-UX Containers (SRP) v2.0.1 及更高版本运行单实例 Oracle 数据库 10gR2(10.2.0.3 及更高版本)和 11gR2。SRP A.03.00 或更高版本支持带 ASM 的 Oracle 数据库 11gR2。请参阅 HP SRP 白皮书 (PDF)
  • 支持在相应的服务器上运行具有硬件分区 (nPAR) 的 Oracle 数据库
  • 支持在相应的服务器上运行具有虚拟分区 (vPAR) 的 Oracle 数据库。

Itanium 信息

  • HPVM 3.5 及更高版本支持 Oracle 9iR2、10gR1、10gR2 单实例数据库。HPVM4.0 及更高版本支持 Oracle 11gR1 单实例数据库。
  • Oracle 数据库 10gR2 和 11gR1 当前支持 HP Integrity VM 4.1 Live Migration 及其更高版本。Oracle 数据库 11gR2 当前支持 HP Integrity VM 4.2 Live Migration。
  • HPVM 4.2 及其更高版本支持 Oracle 11gR2 单实例数据库,请参阅以下受支持的最低配置:
    • VMHost:HP-UX 11.31 2008 年 9 月或更高版本,带有 HPVM 4.2 或更高版本,基于搭载多核处理器的 HP Integrity 服务器。当在运行 HPVM 4.2 的 Integrity 服务器(单核处理器)上测试 Oracle 11gr2 时,发生了崩溃。如果在单核处理器系统上运行,请联系 HP 支持部门,了解关于该问题的详细信息。如需解决此问题,须安装 HPVM 修补程序 PHSS_41247。
    • VMGuest:建议的 Oracle 数据库配置(HP-UX 11.31 2008 年 9 月加上多个补丁程序)以及 HPVM 4.2 Guest Libraries。
  • HPVM 6.2 或更高版本支持 Oracle 12cR1 单实例数据库。
  • HPVM 6.3 或更高版本支持 Oracle 12cR2、18c 和 19c 单实例数据库。
  • 请参阅 Oracle 单实例数据库安装指南和 HP Integrity 虚拟机安装、配置和管理指南:

HP-UX PA-RISC 说明

分区

  • 支持在 HP-UX 11.31 上使用 HP-UX Containers (SRP) v2.0.1 及更高版本运行单实例 Oracle 数据库 10gR2(10.2.0.3 及更高版本)和 11gR2。SRP A.03.00 或更高版本支持带 ASM 的 Oracle 数据库 11gR2。请参阅 HP SRP 白皮书 (PDF)
  • 支持在相应的服务器上运行具有硬件分区 (nPAR) 的 Oracle 数据库。
  • 支持在相应的服务器上运行具有虚拟分区 (vPAR) 的 Oracle 数据库。

Linux x86 说明

Oracle VM 信息:

  • Oracle 产品经过认证,可以在 Oracle VM 上运行。有关 Oracle VM 上经认证产品的完整列表以及 Oracle VM 上的信息,请参阅 My Oracle Support note 464754.1
  • 仅在 x86 和 x86-64 客机上的 OVM 2.2.1 或更高版本支持实时迁移。支持仅适用于最新数据库 PSU 版本 10gR2 (10.2.0.5)、11gR1 (11.1.0.7)、11gR2 (11.2.0.2) 和 GRID PSU 版本 10gR2 (10.2.0.5)、11gR1 (11.1.0.7)
  • 有关详细信息,请参阅 RAC 技术面向 Linux 的兼容性矩阵 (RTCM) 平台。

Linux x86-64 说明

Oracle VM 信息:

  • Oracle 产品经过认证,可以在 Oracle VM 上运行。有关 Oracle VM 上经认证产品的完整列表以及 Oracle VM 上的信息,请参阅 My Oracle Support note 464754.1
  • 仅在 x86 和 x86-64 客机上的 OVM 2.2.1 或更高版本支持实时迁移。支持仅适用于最新数据库 PSU 版本 10gR2 (10.2.0.5)、11gR1 (11.1.0.7)、11gR2 (11.2.0.2) 和 GRID PSU 版本 10gR2 (10.2.0.5)、11gR1 (11.1.0.7)。
  • 有关详细信息,请参阅 RAC 技术面向 Linux 的兼容性矩阵 (RTCM) 平台。

逻辑分区 (LPAR):

  • 以下配置支持 Hitachi Compute Blade 逻辑分区功能(也称为 BladeSymphony Virtage):
  • 使用 OL 5.x 和 RHEL 5.x(5.4 或更高版本)的 Oracle 单实例和 RAC 10gR2 (10.2.0.5)、11gR2(11.2.0.2 及更高版本)
  • 使用 OL 6.x 和 RHEL 6.x(6.1 或更高版本)的 Oracle 单实例和 RAC 11gR2(11.2.0.2 及更高版本)、12cR1(12.1.0.1 及更高版本)
  • 使用 OL 和 RHEL 6.x(6.1 或更高版本)以及 7.x(7.1 或更高版本)的 Oracle 单实例和 RAC 12cR2(12.2.0.1 及更高版本)。
  • 使用 OL 和 RHEL 7.x(7.4 或更高版本)的 Oracle 单实例和 RAC 18c。

Oracle Linux Containers (LXC):

Docker 容器:

  • 有关特定于 Docker 容器的内容,请参阅 My Oracle Support note 2216342.1
  • 有关 Docker 上的 Oracle RAC - 已发布版本和已知问题,请参阅 My Oracle Support 说明 2488326.1

基于内核的虚拟机 (KVM):

  • 基于内核的虚拟机 (Kernel-based virtual machine,KVM) 也称为 KVM 虚拟化,通过 12cR1、18c 和 19c Oracle 单实例和 Oracle RAC 认证,适用于所有受支持的 Oracle Linux 7 版本,Oracle 数据库 12c 发行版 2 (12.2) 仅通过 Oracle 数据库机和 Exadata 认证:
    • 带有 Unbreakable Enterprise Kernel 4 的 Oracle Linux 7.4:4.1.12-124.19.2.el7uek.x86_64 或更高版本
    • 带有 Unbreakable Enterprise Kernel 5 的 Oracle Linux 7.4:4.14.35-1818.1.6.el7uek.x86_64 或更高版本
    • 带有 Red Hat 兼容内核的 Oracle Linux 7.4:3.10.0-862.11.6.el7.x86_64 或更高版本
  • KVM 通过 19c Oracle 单实例和 Oracle RAC 认证,适用于所有受支持的 Oracle Linux 8 发行版:
    • 使用 Unbreakable Enterprise Kernel 6(5.4.17-2011.0.7.el8uek.x86_64 或更高版本)的 Oracle Linux 8.1
    • 使用 Red Hat Compatible Kernel(4.18.0-80.el8.x86_64 或更高版本)的 Oracle Linux 8

IBM System z 说明

硬件信息:

  • Oracle 软件堆栈经过认证,支持在 LPAR 中原生运行的 Linux 发行版,或作为 z/VM 虚拟机中的客机操作系统,部署在 IBM System z 和 LinuxONE 64 位服务器上。
  • 有关详细信息,请参阅 RAC 技术面向 Linux 的兼容性矩阵 (RTCM) 平台。

Microsoft Windows x86-64 说明

Microsoft Hyper-V:

  • 只要同一版本的数据库单实例版本通过了 Hyper-V 主机/客机组合的认证,那么特定的 Oracle Database Client 版本就会被认证为该组合。例如,Oracle 数据库 19c 单实例在 Windows Server 2019 Hyper-V 主机和 Windows Server 2019 客机上经过认证。这意味着 Oracle 数据库 19c 客户端也通过主机/客机组合进行认证。
  • 使用 Windows x64 的 Oracle 单实例和 RAC 11gR2(11.2.0.2 及更高版本)、12cR1(12.1.0.1 及更高版本)。

逻辑分区 (LPAR):

  • 以下配置支持 Hitachi Compute Blade 逻辑分区功能(也称为 BladeSymphony Virtage):
  • 使用 Windows x64 的 Oracle 单实例和 RAC 11gR2(11.2.0.2 及更高版本)、12cR1(12.1.0.1 及更高版本)。

Oracle VM 信息:

  • 有关 Oracle VM 上经认证产品的完整列表以及 Oracle VM 上的信息,请参阅 My Oracle Support note 464754.1
  • Oracle 建议对 Microsoft Windows 发行版 3.2.3 或更高版本使用半虚拟化 (PV) 驱动程序。

Oracle Certification Environment 支持面向 Oracle Database 和 RAC 产品发行版的虚拟化和分区技术。

版权所有© 2019 Oracle。保留所有权利。

本文档根据含使用和披露限制的许可协议提供,受知识产权法律保护。除非经许可证协议明确许可或获得适用法律明确授权,否则不得以任何形式和任何方式使用、拷贝、复制、翻译、广播、修改、授权、传输、分发、展示、执行、发布或显示本文档任何部分。

此处所含信息如有更改,恕不另行通知,且不保证该等信息没有错误。如果您发现任何问题,请通过电子邮件 certsup_ww@oracle.com 向我们报告。

Oracle 是 Oracle 和/或其附属公司的注册商标。其他名称可能是其各自所有者的商标。

本文档可能提供了访问第三方内容、产品和服务的方式或有关这些内容、产品和服务的信息。Oracle 及其附属公司对于第三方内容、产品和服务概不负责,并明示不提供任何形式的担保。Oracle 及其附属公司对您访问或使用第三方内容、产品或服务造成的任何损失、成本或损害概不负责。

注:为免疑义,本网页所用以下术语专指以下含义:

  1. Oracle专指Oracle境外公司而非甲骨文中国。
  2. 相关Cloud或云术语均指代Oracle境外公司提供的云技术或其解决方案。